Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class TreeWalkerImpl

    java.lang.Object
      weblogic.apache.xerces.dom.TreeWalkerImpl

All Implemented Interfaces:
  TreeWalker

Deprecated. please use JDK supplied XML parsers and transformers

public class TreeWalkerImpl
extends Object
implements TreeWalker

Constructor Summary
`TreeWalkerImpl(Node root, int whatToShow, NodeFilter nodeFilter, boolean entityReferenceExpansion)` Deprecated. Public constructor

Method Summary
`Node` | `firstChild()` Deprecated. Return the first child Node from the current node, after applying filter, whatToshow.
`Node` | `getCurrentNode()` Deprecated. Return the current Node.
`boolean` | `getExpandEntityReferences()` Deprecated. Return whether children entity references are included in the iterator.
`NodeFilter` | `getFilter()` Deprecated. Return the NodeFilter
`Node` | `getRoot()` Deprecated.
`int` | `getWhatToShow()` Deprecated. Return the whatToShow value
`Node` | `lastChild()` Deprecated. Return the last child Node from the current node, after applying filter, whatToshow.
`Node` | `nextNode()` Deprecated. Return the next Node from the current node, after applying filter, whatToshow.
`Node` | `nextSibling()` Deprecated. Return the next sibling Node from the current node, after applying filter, whatToshow.
`Node` | `parentNode()` Deprecated. Return the parent Node from the current node, after applying filter, whatToshow.
`Node` | `previousNode()` Deprecated. Return the previous Node from the current node, after applying filter, whatToshow.
`Node` | `previousSibling()` Deprecated. Return the previous sibling Node from the current node, after applying filter, whatToshow.
`void` | `setCurrentNode(Node node)` Deprecated. Return the current Node.
`void` | `setWhatShow(int whatToShow)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalkerImpl

    public TreeWalkerImpl(Node root,
                          int whatToShow,
                          NodeFilter nodeFilter,
                          boolean entityReferenceExpansion)

  Deprecated.
  Public constructor

Method Detail

### firstChild

    public Node firstChild()

  Deprecated.
  Return the first child Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `firstChild` in interface `TreeWalker`

### getCurrentNode

    public Node getCurrentNode()

  Deprecated.
  Return the current Node.

  Specified by:
    `getCurrentNode` in interface `TreeWalker`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  Deprecated.
  Return whether children entity references are included in the iterator.

  Specified by:
    `getExpandEntityReferences` in interface `TreeWalker`

### getFilter

    public NodeFilter getFilter()

  Deprecated.
  Return the NodeFilter

  Specified by:
    `getFilter` in interface `TreeWalker`

### getRoot

    public Node getRoot()

  Deprecated.
  Specified by:
    `getRoot` in interface `TreeWalker`

### getWhatToShow

    public int getWhatToShow()

  Deprecated.
  Return the whatToShow value

  Specified by:
    `getWhatToShow` in interface `TreeWalker`

### lastChild

    public Node lastChild()

  Deprecated.
  Return the last child Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `lastChild` in interface `TreeWalker`

### nextNode

    public Node nextNode()

  Deprecated.
  Return the next Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `nextNode` in interface `TreeWalker`

### nextSibling

    public Node nextSibling()

  Deprecated.
  Return the next sibling Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `nextSibling` in interface `TreeWalker`

### parentNode

    public Node parentNode()

  Deprecated.
  Return the parent Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `parentNode` in interface `TreeWalker`

### previousNode

    public Node previousNode()

  Deprecated.
  Return the previous Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `previousNode` in interface `TreeWalker`

### previousSibling

    public Node previousSibling()

  Deprecated.
  Return the previous sibling Node from the current node, after applying filter, whatToshow. If result is not null, set the current Node.

  Specified by:
    `previousSibling` in interface `TreeWalker`

### setCurrentNode

    public void setCurrentNode(Node node)

  Deprecated.
  Return the current Node.

  Specified by:
    `setCurrentNode` in interface `TreeWalker`

### setWhatShow

    public void setWhatShow(int whatToShow)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD